Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229213 - If RJ45 Ethernet cable is unplugged from Dell Inspiron 8500 Laptop while downloading packages via the Package Manager GUI, the entire application dumps/closes and forces a bug save session
Summary: If RJ45 Ethernet cable is unplugged from Dell Inspiron 8500 Laptop while down...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-02-19 16:36 UTC by John M. Holmes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 20:51:23 UTC


Attachments (Terms of Use)

Description John M. Holmes 2007-02-19 16:36:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070209 Fedora/1.5.0.9-3.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
During software update/download, ethernet cable is unplugged - This cases application to exit completely and ungracefully.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Start Software Package Manager/Update
2.Select applications and wait for Downloading Packages dialog to start..
3.Unplug RJ45 Ethernet cable from laptop

Actual Results:
Application Exited and forced me to save the bug report

Expected Results:
Timeout or Pause/Suspend of Download but not an ungraceful exit that causes all selected software to be lost in the "to do" update list

Additional info:
more download_failed_dump
Component: Software Manager
Summary: TBe634e670 __init__.py:767:downloadHeader:RepoError: failure: ipod-sharp-0.5.15-3.fc6.i386.rpm from extras: [Errno 256] No more m
irrors to try.

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 334, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 559, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 324, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 150, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 767, in downloadHeader
    raise Errors.RepoError, saved_repo_error
RepoError: failure: ipod-sharp-0.5.15-3.fc6.i386.rpm from extras: [Errno 256] No more mirrors to try.

Local variables in innermost frame:
errors: {}
e: [Errno 2] No such file or directory: '//var/cache/yum/extras/headers/ipod-sharp-0.5.15-3.fc6.i386.hdr'
self: <__main__.PackageManager object at 0x95e6bac>
saved_repo_error: failure: ipod-sharp-0.5.15-3.fc6.i386.rpm from extras: [Errno 256] No more mirrors to try.
repo: extras
checkfunc: (<bound method PackageManager.verifyHeader of <__main__.PackageManager object at 0x95e6bac>>, (<yum.sqlitesack.YumAvailablePack
ageSqlite object at 0xa6c838c>, 1), {})
local: //var/cache/yum/extras/headers/ipod-sharp-0.5.15-3.fc6.i386.hdr
po: ipod-sharp - 0.5.15-3.fc6.i386

Comment 1 Jeremy Katz 2007-02-21 22:08:23 UTC
This should be caught a little bit better with the pending update, but given the
specifics on reproducing this case, now I can hopefully get a better fix in.

Thanks for the good bug report!

Comment 2 Jeremy Katz 2007-04-09 20:51:23 UTC
Should be handled better with pirut 1.3.5


Note You need to log in before you can comment on or make changes to this bug.